Get metadata on all Lists
curl --request GET \
--url https://api.affinity.co/v2/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"name": "My Companies",
"type": "company",
"isPublic": false,
"ownerId": 1,
"creatorId": 1,
"createdAt": "2024-03-07T20:21:42Z"
},
{
"id": 2,
"name": "My Persons",
"type": "person",
"isPublic": false,
"ownerId": 1,
"creatorId": 1,
"createdAt": "2024-03-07T20:21:42Z"
},
{
"id": 3,
"name": "My Opportunities",
"type": "opportunity",
"isPublic": false,
"ownerId": 1,
"creatorId": 1,
"createdAt": "2024-03-07T20:21:42Z"
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/lists?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/lists?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Lists
Get metadata on all Lists
Paginate through all Lists in your organization that you have access to view. Returns basic information about each List, including name, owner, and privacy settings.
GET
/
v2
/
lists
Get metadata on all Lists
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Case-insensitive substring match on List name.
Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Example:
100
Was this page helpful?
⌘I